//
//	Copyright © 2009 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

namespace VWFC
{
	namespace Math
	{
		class VWBodyEdge;
		class VWNURBSCurve
		{
			friend class VWBodyEdge;
		public:
			// construction
							VWNURBSCurve();
							VWNURBSCurve(const VWNURBSCurve& src);
			virtual			~VWNURBSCurve();

			VWNURBSCurve&	operator=(const VWNURBSCurve& src);

		public:
							void SetStartParameter(double startParam);
							void SetEndParameter(double endParam);
							double GetStartParameter();
							double GetEndParameter();
							int GetVWNURBSCurveID();
		protected:
							VWNURBSCurve(int curveID);
		private:
			IVWUnknown*	fp;
			int			fNURBSCurveID;
			double		fStartParam;
			double		fEndParam;
		};
	}
}